KDE 4.7 PyKDE API Reference

- KDE's Python API

# ETMViewStateSaver Class Reference

`from PyKDE4.akonadi import *`

Inherits: KViewStateSaver → QObject
Namespace: Akonadi

## Detailed Description

## Methods
| __init__ (self, QObject parent=0)
QModelIndex | indexFromConfigString (self, QAbstractItemModel model, QString key)
QString | indexToConfigString (self, QModelIndex index)
| selectCollections (self, [Akonadi.Collection] list)
| selectItems (self, [Akonadi.Item] list)

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent=0
| ) |  |  |

QModelIndex indexFromConfigString | ( | self, |
|  | QAbstractItemModel | model,
|  | QString | key
| ) |  |  |

QString indexToConfigString | ( | self, |
|  | QModelIndex | index
| ) |  |  |

selectCollections | ( | self, |
|  | [Akonadi.Collection] | list
| ) |  |  |

selectItems | ( | self, |
|  | [Akonadi.Item] | list
| ) |  |  |